# -*- coding: utf-8; indent-tabs-mode: t; tab-width: 4 -*-

import wx, sys, gettext
from Components import *

gettext.textdomain("wxlogic")

def _(x):
	return gettext.gettext(x).decode("utf-8")

class _const:
	class ConstError(TypeError): pass
	def __setattr__(self, name, value):
		if self.__dict__.has_key(name):
			raise self.ConstError, "Can't rebind const(%s)" % name
		self.__dict__[name] = value

	# Definitions
	component_none = "none"
	component_net = "net"
	component_NOT = "not"
	component_AND = "and"
	component_OR = "or"
	component_XOR = "xor"
	component_NAND = "nand"
	component_NOR = "nor"
	component_RSFF = "rsff"
	component_JKFF = "jkff"
	component_DFF = "dff"
	component_TFF = "tff"
	component_counter = "counter"
	component_SW = "sw"
	component_7seg = "7seg"
	component_LED = "led"
	component_VDD = "vdd"
	component_GND = "gnd"
	
	comp_dict = {
		component_none: Logic_Dummy(),
		component_net: Logic_Dummy(),
		component_NOT: Logic_NOT(),
		component_AND: Logic_AND(),
		component_OR: Logic_OR(),
		component_XOR: Logic_XOR(),
		component_NAND: Logic_NAND(),
		component_NOR: Logic_NOR(),
		component_RSFF: Logic_RSFF(),
		component_JKFF: Logic_JKFF(),
		component_DFF: Logic_DFF(),
		component_TFF: Logic_TFF(),
		component_counter: Logic_counter(),
		component_SW: Logic_SW(),
		component_7seg: Logic_7seg(),
		component_LED: Logic_LED(),
		component_VDD: Logic_VDD(),
		component_GND: Logic_GND(),
	}
	
	text_notitle = _("No title")
	text_modified = _("Modified")

sys.modules[__name__] = _const()
